#include <SoftwareServo.h>

void delay2(uint16_t milliseconds);  //forward declaration to the delay function

// PIR SENSOR
int READ_PIN = 2;
int LED_PIN = 4;
int SERVO_PIN = 3;

int pirState = LOW;             // we start, assuming no motion detected
int val = 0; 
int i =0 ;

//a maximum of five servo objects can be created
SoftwareServo myServo;  //create a servo object.

void setup(){
  pinMode(READ_PIN, INPUT); // Sets the echoPin as an Input
  pinMode(LED_PIN,OUTPUT);
  
  //Serial.begin(9600);

  myServo.attach(SERVO_PIN);  // attaches the servo on pin SERVO_PIN to the servo object
}

void loop(){
  val = digitalRead(READ_PIN);  // read input value
  if (val == HIGH) {            // check if the input is HIGH
    if (pirState == LOW) {
      // we have just turned on
      //Serial.print("Motion detected! ");
      digitalWrite(LED_PIN, HIGH);   // turn the LED on 
      spinServo();
      // We only want to print on the output change, not state
      pirState = HIGH;
    }
  } else {
    if (pirState == HIGH){
      // we have just turned of
      //Serial.print ("Motion ended!  ");
      // We only want to print on the output change, not state
      pirState = LOW;
      digitalWrite(LED_PIN, LOW);   // turn the LED off 
    }
  }
}

int spinServo(){
  myServo.write(180);
  digitalWrite(LED_PIN, HIGH);   // turn the LED on 
  for (i=0; i<2500; i++){
    SoftwareServo::refresh();  
    delay(1);  //1 segundo para que se moje el gato
  }
  
  myServo.write(97);  // Para dejarlo manso
  SoftwareServo::refresh();
  digitalWrite(LED_PIN, LOW);   // turn the LED off 
  delay(1000); // para resetear la pos
}
